int letterNum = 0;

class Letter {
  
  int num;
  char letterKey;
  PVector pos;
  Letter[] links;
  color letterColor;
  PVector colorVector;
  int size;
  int quantity;
  
  Letter() {
    num = letterNum;
    letterNum++;
    pos = new PVector(width/2, height/2);
    colorVector = new PVector(0, 0, 0);
    quantity = 0;
    links = new Letter[0];
  }
  
  Letter(char c) {
    num = letterNum;
    letterNum++;
    letterKey = c;
    pos = new PVector(width/2, height/2);
    colorVector = new PVector(0, 0, 0);
    quantity = 0;
    links = new Letter[0];
  }
  
  void bind(char c) {
    letterKey = c;
  } 
  
  char getKey() {
    return letterKey;
  }
  
  PVector getPosition() {
    return pos;
  }
  
  void setPosition(PVector v){
    pos = v;
  }
  
  color getColor() {
    return letterColor;
  }
  
  void setColor(color c) {
    letterColor = c;
  }
  
  PVector getColorVector() {
    return colorVector;
  }
  
  void setColorVector(PVector p) {
    colorVector = p;
  }
  
  int getSize() {
    return size;
  }
  
  void setSize(int r) {
    size = r;
  }
  
  int getQuantity() {
    return quantity;
  }
  
  void hit() {
    quantity++;
  }
  
  Letter[] getLinks() {
    return links;
  }
  
  void addLink(Letter l) {
    links = (Letter[]) append(links, l);
  }

  
}
  
  
  
